# Generated from backup-ssh-4.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name backup-ssh

Name: rubygem-%{gem_name}
Version: 4.4.5
Release: 1%{?dist}
Summary: Provides an elegant DSL in Ruby for performing backups on UNIX-like systems
License: MIT
URL: https://github.com/manuelmeurer/backup
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rubocop) = 0.48.1
# BuildRequires: rubygem(rspec) = 3.8.0
# BuildRequires: rubygem(timecop) = 0.9.1
BuildArch: noarch

%description
Backup is a RubyGem, written for UNIX-like operating systems, that allows you
to easily perform backup operations on both your remote and local
environments. It provides you with an elegant DSL in Ruby for modeling your
backups. Backup has built-in support for various databases, storage
protocols/services, syncers, compressors, encryptors and notifiers which you
can mix and match. It was built with modularity, extensibility and simplicity
in mind.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/backup
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 4.4.5-1
- Initial package
